Authorizations
This section provides the information you need to process a basic authorization.
All supported card types can process authorizations. See Payment Processors for information about supported card types.
Supported Processors
- Chase Paymentech Solutions
- Elavon Americas
- FDC Nashville Global
- Fiserv RapidConnect
- Streamline
- Worldpay VAP
Processor-Specific Information
FDC Nashville Global
Merchant category codes: when your business signs up with , assigns your account a merchant category code (MCC) based on your primary business type. sends this MCC to the card networks with every transaction you process. If you process a transaction that is unrelated to your usual goods or services, include the merchantInformation.categoryCode field and set it to the relevant MCC. and FDC Nashville Global do not validate the MCC you send. Using an incorrect MCC can result in increased decline rates, interchange downgrades, or fines. To verify the correct MCC, contact your account manager.
Declined Authorizations
If an authorization is declined, you can use response categories to help you decide whether to retry or block a declined transaction. These response fields provide additional information:
paymentInsightsInformation.responseInsights.categorypaymentInsightsInformation.responseInsights.categoryCode
Category codes have possible values (such as 01) each of which corresponds to a category that contains a description.
You cannot retry this category code and category:
01 ISSUER_WILL_NEVER_APPROVE
For these values, you can retry the transaction a maximum of 15 times over a period of 30 days:
02 ISSUER_CANNOT_APPROVE_AT_THIS_TIME03 ISSUER_CANNOT_APPROVE_WITH_THESE_DETAILS: Data quality issue. Revalidate data prior to retrying the transaction.04 GENERIC_ERROR97 PAYMENT_INSIGHTS_INTERNAL_ERROR98 OTHERS99 PAYMENT_INSIGHTS_RESPONSE_CATEGORY_MATCH_NOT_FOUND
Endpoints
POST /pts/v2/payments
POST /pts/v2/payments
POST /pts/v2/payments
Example
Standard Example
{ "orderInformation": { "billTo": { "country": "US", "lastName": "Kim", "address1": "201 S. Division St.", "postalCode": "48104-2201", "locality": "Ann Arbor", "administrativeArea": "MI", "firstName": "Kyong-Jin", "email": "" }, "amountDetails": { "totalAmount": "100.00", "currency": "usd" } }, "paymentInformation": { "card": { "expirationYear": "2030", "number": "CARD_NUMBER", "expirationMonth": "12", "type": "001" } }}{ "_links" : { "authReversal" : { "method" : "POST", "href" : "/pts/v2/payments/6461731521426399003473/reversals" }, "self" : { "method" : "GET", "href" : "/pts/v2/payments/6461731521426399003473" }, "capture" : { "method" : "POST", "href" : "/pts/v2/payments/6461731521426399003473/captures" } }, "clientReferenceInformation" : { "code" : "1646173152047" }, "id" : "6461731521426399003473", "orderInformation" : { "amountDetails" : { "authorizedAmount" : "100.00", "currency" : "usd" } }, "paymentAccountInformation" : { "card" : { "type" : "001" } }, "paymentInformation" : { "tokenizedCard" : { "type" : "001" }, "card" : { "type" : "001" } }, "paymentInsightsInformation" : { "responseInsights" : { "categoryCode" : "01" } }, "processorInformation" : { "systemTraceAuditNumber" : "862481", "approvalCode" : "831000", "merchantAdvice" : { "code" : "01", "codeRaw" : "M001" }, "responseDetails" : "ABC", "networkTransactionId" : "016153570198200", "consumerAuthenticationResponse" : { "code" : "2", "codeRaw" : "2" }, "transactionId" : "016153570198200", "responseCode" : "00", "avs" : { "code" : "Y", "codeRaw" : "Y" } }, "reconciliationId" : "6461731521426399003473", "status" : "AUTHORIZED", "submitTimeUtc" : "2026-03-01T22:19:12Z"}{ "clientReferenceInformation": { "code": "TC50171_3" }, "errorInformation": { "reason": "PROCESSOR_ERROR", "message": "Invalid account" }, "id": "6583553837826789303954", "paymentInsightsInformation": { "responseInsights": { "categoryCode": "01", "category": "ISSUER_WILL_NEVER_APPROVE" } }, "pointOfSaleInformation": { "amexCapnData": "1009S0600100" }, "processorInformation": { "systemTraceAuditNumber": "004544", "merchantNumber": "1231231222", "networkTransactionId": "431736869536459", "transactionId": "431736869536459", "responseCode": "111", "avs": { "code": "Y", "codeRaw": "Y" } }, "status": "DECLINED"}Required Fields
Default Required Fields
| Field | Description |
|---|---|
orderInformation. | |
orderInformation. | — |
orderInformation. | — |
orderInformation. | — |
orderInformation. | — |
orderInformation. | — |
orderInformation. | — |
orderInformation. | — |
orderInformation. | — |
orderInformation. | — |
paymentInformation. | — |
paymentInformation. | — |
paymentInformation. | — |
Country-Specific Required Fields
Argentina
| Field | Description |
|---|---|
merchantInformation. | Required for Mastercard transactions. |
merchantInformation. | Required when the time zone is not included in your account. Otherwise, this field is optional. |
Brazil
| Field | Description |
|---|---|
paymentInformation. | Required for combo card transactions. |
paymentInformation. | Required for combo card line-of-credit and prepaid-card transactions. |
Chile and Paraguay
| Field | Description |
|---|---|
merchantInformation. | Required when the time zone is not included in your account. Otherwise, this field is optional. |
Egypt
| Field | Description |
|---|---|
paymentInformation. | Required for Meeza transactions. Set the value to 067. |
merchantInformation. | Required for Meeza transactions. Set the value to EG. |
Mainland China
| Field | Description |
|---|---|
consumerAuthenticationInformation. | Required for domestic debit cards. |
Saudi Arabia
| Field | Description |
|---|---|
processingInformation. | Required only for merchants in Saudi Arabia. |
Taiwan
| Field | Description |
|---|---|
paymentInformation. | Required only for merchants in Taiwan. |
Thanks for your feedback!
Last published: October 28, 2026